﻿Public Class Translation
    Inherits Panel

    Friend WithEvents ClearToolStripMenuItem As System.Windows.Forms.ToolStripMenuItem
    Private components As System.ComponentModel.IContainer
    Friend WithEvents Panel1 As System.Windows.Forms.Panel
    Friend WithEvents Label7 As System.Windows.Forms.Label
    Friend WithEvents Label8 As System.Windows.Forms.Label
    Friend WithEvents nudYPosition As System.Windows.Forms.NumericUpDown
    Friend WithEvents Label9 As System.Windows.Forms.Label
    Friend WithEvents nudXPosition As System.Windows.Forms.NumericUpDown
    Friend WithEvents Label10 As System.Windows.Forms.Label
    Friend WithEvents ContextMenuStrip1 As System.Windows.Forms.ContextMenuStrip

    Public Sub New()
        InitializeComponent()

        Me.DoubleBuffered = True

        ContextMenuStrip1.Enabled = False
        Me.ContextMenuStrip = ContextMenuStrip1

        Me.Controls.Add(Panel1)

        Me.Dock = DockStyle.Fill

    End Sub

    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)

        methods.drawGrid(e.Graphics, Me.Font)

        Dim l As Integer = 25 + ((CInt(nudXPosition.Value) + 8) * 25)
        Dim t As Integer = 25 + (Math.Abs(CInt(nudYPosition.Value) - 10) * 25)

        methods.drawShape(e.Graphics, sharedVariables.allVertices(3))
        methods.drawTranslatedShape(e.Graphics, sharedVariables.allVertices(3), l, t)
        methods.drawBorders(e.Graphics, Me.BackColor)
        methods.drawCross(e.Graphics, l, t)
        methods.drawHighlight(e.Graphics, sharedVariables.allHighlights(3))

        MyBase.OnPaint(e)
    End Sub

    Private Sub ClearToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ClearToolStripMenuItem.Click
        sharedVariables.allVertices(3).Clear()
        Me.Refresh()
    End Sub

    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Me.ContextMenuStrip1 = New System.Windows.Forms.ContextMenuStrip(Me.components)
        Me.ClearToolStripMenuItem = New System.Windows.Forms.ToolStripMenuItem
        Me.Panel1 = New System.Windows.Forms.Panel
        Me.Label7 = New System.Windows.Forms.Label
        Me.Label8 = New System.Windows.Forms.Label
        Me.nudYPosition = New System.Windows.Forms.NumericUpDown
        Me.Label9 = New System.Windows.Forms.Label
        Me.nudXPosition = New System.Windows.Forms.NumericUpDown
        Me.Label10 = New System.Windows.Forms.Label
        Me.ContextMenuStrip1.SuspendLayout()
        Me.Panel1.SuspendLayout()
        CType(Me.nudYPosition, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.nudXPosition, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'ContextMenuStrip1
        '
        Me.ContextMenuStrip1.Items.AddRange(New System.Windows.Forms.ToolStripItem() {Me.ClearToolStripMenuItem})
        Me.ContextMenuStrip1.Name = "ContextMenuStrip1"
        Me.ContextMenuStrip1.Size = New System.Drawing.Size(153, 48)
        '
        'ClearToolStripMenuItem
        '
        Me.ClearToolStripMenuItem.Name = "ClearToolStripMenuItem"
        Me.ClearToolStripMenuItem.Size = New System.Drawing.Size(152, 22)
        Me.ClearToolStripMenuItem.Text = "Clear"
        '
        'Panel1
        '
        Me.Panel1.Controls.Add(Me.Label7)
        Me.Panel1.Controls.Add(Me.Label8)
        Me.Panel1.Controls.Add(Me.nudYPosition)
        Me.Panel1.Controls.Add(Me.Label9)
        Me.Panel1.Controls.Add(Me.nudXPosition)
        Me.Panel1.Controls.Add(Me.Label10)
        Me.Panel1.Location = New System.Drawing.Point(25, 458)
        Me.Panel1.Name = "Panel1"
        Me.Panel1.Size = New System.Drawing.Size(400, 20)
        Me.Panel1.TabIndex = 10
        '
        'Label7
        '
        Me.Label7.AutoSize = True
        Me.Label7.Location = New System.Drawing.Point(205, 0)
        Me.Label7.Name = "Label7"
        Me.Label7.Size = New System.Drawing.Size(10, 13)
        Me.Label7.TabIndex = 13
        Me.Label7.Text = ")"
        '
        'Label8
        '
        Me.Label8.AutoSize = True
        Me.Label8.Location = New System.Drawing.Point(0, 2)
        Me.Label8.Name = "Label8"
        Me.Label8.Size = New System.Drawing.Size(68, 13)
        Me.Label8.TabIndex = 12
        Me.Label8.Text = "Translation: ("
        '
        'nudYPosition
        '
        Me.nudYPosition.Location = New System.Drawing.Point(160, 0)
        Me.nudYPosition.Maximum = New Decimal(New Integer() {10, 0, 0, 0})
        Me.nudYPosition.Minimum = New Decimal(New Integer() {6, 0, 0, -2147483648})
        Me.nudYPosition.Name = "nudYPosition"
        Me.nudYPosition.Size = New System.Drawing.Size(47, 20)
        Me.nudYPosition.TabIndex = 11
        '
        'Label9
        '
        Me.Label9.AutoSize = True
        Me.Label9.Location = New System.Drawing.Point(145, 0)
        Me.Label9.Name = "Label9"
        Me.Label9.Size = New System.Drawing.Size(12, 13)
        Me.Label9.TabIndex = 10
        Me.Label9.Text = "y"
        '
        'nudXPosition
        '
        Me.nudXPosition.Location = New System.Drawing.Point(85, 0)
        Me.nudXPosition.Maximum = New Decimal(New Integer() {8, 0, 0, 0})
        Me.nudXPosition.Minimum = New Decimal(New Integer() {8, 0, 0, -2147483648})
        Me.nudXPosition.Name = "nudXPosition"
        Me.nudXPosition.Size = New System.Drawing.Size(47, 20)
        Me.nudXPosition.TabIndex = 9
        '
        'Label10
        '
        Me.Label10.AutoSize = True
        Me.Label10.Location = New System.Drawing.Point(67, 2)
        Me.Label10.Name = "Label10"
        Me.Label10.Size = New System.Drawing.Size(12, 13)
        Me.Label10.TabIndex = 8
        Me.Label10.Text = "x"
        Me.ContextMenuStrip1.ResumeLayout(False)
        Me.Panel1.ResumeLayout(False)
        Me.Panel1.PerformLayout()
        CType(Me.nudYPosition, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.nudXPosition, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub
End Class
